Bug 712095

Summary: No Groups Available in any repository FC14 -> FC15 PreUpgrade
Product: [Fedora] Fedora Reporter: grhear
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 14CC: ikke, pcfe, richard
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Release Kernal Linux 2.6.35.13-91.fc14.i686 GNOME 2.32.0 Hardware: Memory 2GiB Processor 0: Intel Core(TM)2 Duo CPU E7500 @ 2.93GHz Processor 1: Intel Core(TM)2 Duo CPU E7500 @ 2.93GHz System Status Available disk space 19.7GiB Internet: T3 to internet with HTTP Proxy. Proxy is set by company unforunatly but yum is allowed. yum.conf has line proxy= in it and it has worked for all software upgrades.
Last Closed: 2012-08-16 11:20:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 494832    

Description grhear 2011-06-09 09:56:03 EDT
Description of problem:
When attempting to upgrade from FC14 to FC15 I get the following popup via Pre-Upgrade
"No Groups Available in any repository"

Log Reads as follows:
[root@asok etc]# yum update preupgrade
Setting up Update Process
No Packages marked for Update
[root@asok etc]# preupgrade
Detected in-progress upgrade to Fedora 15 (Lovelock)
Clearing data from upgrade to Fedora 15 (Lovelock)
preupgrade (baseurl) 
  url: http://fake.url/preupgrade
  now: http://fake.url/preupgrade
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/i386/os/
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=i386
Can't set up new repo preupgrade-fedora - removing
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=i386
Can't set up new repo preupgrade-updates - removing
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://fedora.mirror.lstn.net/releases/15/Fedora/i386/os//.treeinfo
treeinfo timestamp: Fri May 13 15:47:06 2011
unknown metadata being downloaded: MEMORY
No Groups Available in any repository


Version-Release number of selected component (if applicable):
FC14 upgrade to FC15

How reproducible:
Steps to Reproduce:
1. Upgrade Pre-upgrade to latest
2. run Pre-upgrade
3. select to upgrade to FC15
4. give it about 30 minutes
5. Error message will appear regarding no groups.


Hope this helps everyone to understand my problems. I am very confident that this may be a simple oversight between Fedora and my setup. I question this because I can get all FC14 software updates well its just when I attempt to upgrade to FC15.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ilkka Tengvall 2011-06-20 03:44:34 EDT
I have the very same problem. I'm behind proxy, and I've set up proxy both on env and in yum.conf. The same machine has been preupgraded ever since f12 in the same environment. Looking from strace, it might be preupgrade is not using proxies correctly, but instead trying direct connection (which naturally fails):


open("/var/cache/yum/preupgrade-fedora/metalink.xml.tmp", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 11
connect(12, {sa_family=AF_INET, sin_port=htons(443), sin_addr=inet_addr("209.132.181.16")}, 16) = -1 EINPROGRESS (Operation now in progress)
connect(12, {sa_family=AF_INET, sin_port=htons(443), sin_addr=inet_addr("66.35.62.166")}, 16) = -1 EINPROGRESS (Operation now in progress)
connect(12, {sa_family=AF_INET, sin_port=htons(443), sin_addr=inet_addr("140.211.169.197")}, 16) = -1 EINPROGRESS (Operation now in progress)
connect(12, {sa_family=AF_INET, sin_port=htons(443), sin_addr=inet_addr("152.19.134.146")}, 16) = -1 EINPROGRESS (Operation now in progress)
connect(12, {sa_family=AF_INET6, sin6_port=htons(443), inet_pton(AF_INET6, "2610:28:3090:3001:dead:beef:cafe:fed4", &sin6_addr), sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENETUNREACH (Network is unreachable)
Comment 2 Ilkka Tengvall 2011-06-20 03:53:46 EDT
additional comment, the proxy is in port 8080, the connect should look like this:

connect(4, {sa_family=AF_INET, sin_port=htons(8080), sin_addr=inet_addr("10.144.1.10")}, 16) = 0
Comment 3 Ilkka Tengvall 2011-06-20 06:57:21 EDT
It seems to be preupgrade reads environment variables, but not the yum.conf proxy line. And also needs to have https_proxy env variable set, it doesn't use http_proxy or proxy variables. After adding https_proxy to my env, it started downloading.

This is needed after the previous fedora update (f14?), when mirrors changed to https from http.

I still think preupgrade should honor the proxy variable in yum.conf. And possibly fall back to http_proxy if https_proxy is not set up.
Comment 4 Fedora End Of Life 2012-08-16 11:20:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping